# Akamai\Open\EdgeGrid\Client::setLogHandler

#### Add the Log handler to the HandlerStack

## Signature

`protected function setLogHandler(HandlerStack $handlerStack, callable $logHandler )`

## Parameters

`$handlerStack` — \GuzzleHttp\HandlerStack
`$logHandler` — Akamai\Open\EdgeGrid\callable

## Test Coverage

### Information

- Coverage: 4/6 Lines (66.666666666667%)
- Tests: 11
- Passed: 11 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLogging with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingRedirect
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingDefault
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testLoggingRequestHandler
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testSetSimpleLog